#!/usr/bin/python

# rele_set.py

import wiringpi2 as wiringpi  # importa libreria wiringpi2

from time import sleep  
import sys
      
pin_base = 65       # imposta la numerazione dei pin a partire da 65  
i2c_addr = 0x20     # indirizzo ottenuto con i pin A0, A1, A2 a GND  
      
try: 
   wiringpi.wiringPiSetup()                    # inizializza libreria wiringpi2  
   wiringpi.mcp23017Setup(pin_base,i2c_addr)   # imposta pin e indirizzo i2c  
   wiringpi.pinMode(65, 1)         # imposta GPA0 come output  
   wiringpi.digitalWrite(65, 0)    # imposta GPA0 a 0 (0V, off)  
   wiringpi.pinMode(66, 1)         # imposta GPA1 come output  
   wiringpi.digitalWrite(66, 0)    # imposta GPA1 a 0 (0V, off)  
   wiringpi.pinMode(67, 1)         # imposta GPA2 come output  
   wiringpi.digitalWrite(67, 0)    # imposta GPA2 a 0 (0V, off)  
   wiringpi.pinMode(68, 1)         # imposta GPA3 come output  
   wiringpi.digitalWrite(68, 0)    # imposta GPA3 a 0 (0V, off)  
   wiringpi.pinMode(69, 1)         # imposta GPA4 come output  
   wiringpi.digitalWrite(69, 0)    # imposta GPA4 a 0 (0V, off)  
   wiringpi.pinMode(70, 1)         # imposta GPA5 come output  
   wiringpi.digitalWrite(70, 0)    # imposta GPA5 a 0 (0V, off)  
   wiringpi.pinMode(71, 1)         # imposta GPA6 come output  
   wiringpi.digitalWrite(71, 0)    # imposta GPA6 a 0 (0V, off)  
   wiringpi.pinMode(72, 1)         # imposta GPA7 come output  
   wiringpi.digitalWrite(72, 0)    # imposta GPA7 a 0 (0V, off)  
      
   wiringpi.pinMode(73, 0)         # imposta GPB0 come input  
   wiringpi.pullUpDnControl(73, 0) # pull-up e pull-down interni disattivati 
   wiringpi.pinMode(74, 0)         # imposta GPB1 come input  
   wiringpi.pullUpDnControl(74, 0) # pull-up e pull-down interni disattivati 
   wiringpi.pinMode(75, 0)         # imposta GPB2 come input  
   wiringpi.pullUpDnControl(75, 0) # pull-up e pull-down interni disattivati 
   wiringpi.pinMode(76, 0)         # imposta GPB3 come input  
   wiringpi.pullUpDnControl(76, 0) # pull-up e pull-down interni disattivati 
   wiringpi.pinMode(77, 0)         # imposta GPB4 come input  
   wiringpi.pullUpDnControl(77, 0) # pull-up e pull-down interni disattivati 
   wiringpi.pinMode(78, 0)         # imposta GPB5 come input  
   wiringpi.pullUpDnControl(78, 0) # pull-up e pull-down interni disattivati 
   wiringpi.pinMode(79, 0)         # imposta GPB6 come input  
   wiringpi.pullUpDnControl(79, 0) # pull-up e pull-down interni disattivati
   wiringpi.pinMode(80, 0)         # imposta GPB7 come input  
   wiringpi.pullUpDnControl(80, 0) # pull-up e pull-down interni disattivati

except Exception, e:
   print e 
      


 




